package de.intevation.flys.artifacts.states;

import java.util.List;

import org.apache.log4j.Logger;

import de.intevation.artifacts.CallMeta;

import de.intevation.artifactdatabase.state.Facet;

import de.intevation.flys.artifacts.FLYSArtifact;
import de.intevation.flys.artifacts.model.WMSLayerFacet;
import de.intevation.flys.artifacts.states.DefaultState.ComputeType;


public class RiverAxisState extends OutputState {

    private static final Logger logger = Logger.getLogger(RiverAxisState.class);

    @Override
    public Object computeInit(
        FLYSArtifact artifact,
        String       hash,
        CallMeta     meta,
        List<Facet>  facets
    ) {
        logger.debug("RiverAxisState.computeInit()");

        WMSLayerFacet facet = new WMSLayerFacet(
            0,
            FLOODMAP_RIVERAXIS,
            "RIVER AXIS",
            ComputeType.INIT,
            getID(), hash,
            "http://localhost/wms/"); // TODO add correct WMS URL

        facet.addLayer("riveraxis");

        facets.add(facet);

        return null;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
